%define upstream_name    Dist-Zilla-Plugin-Bootstrap-lib
%define upstream_version 1.001002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A minimal boot-strapping for Dist::Zilla Plug-ins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Dist::Zilla::Role::Bootstrap)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module does the very simple task of injecting the distributions 'lib'
directory into @INC at the point of its inclusion, so that you can use
plug-ins you're writing for Dist::Zilla, to release the plug-in itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.1.2-5.mga9
+ Revision: 1808831
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.2-4.mga8
+ Revision: 1503921
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.2-3.mga7
+ Revision: 1282988
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.1.2-2.mga7
+ Revision: 1164109
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 1.1.2-1.mga7
+ Revision: 1156143
- update to 1.001002

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-5.mga6
+ Revision: 1025828
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-4.mga6
+ Revision: 948351
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 743562
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 670616
- update to 1.001000

* Sat Aug 16 2014 sander85 <sander85> 1.0.5-1.mga5
+ Revision: 664180
- update to 1.000005

* Tue Aug 05 2014 sander85 <sander85> 1.0.4-1.mga5
+ Revision: 659774
- update to 1.000004

* Wed Jul 16 2014 sander85 <sander85> 1.0.3-1.mga5
+ Revision: 653192
- update to 1.000003

* Tue Apr 15 2014 jquelin <jquelin> 1.0.1-1.mga5
+ Revision: 614741
- update to 1.000001

* Sat Feb 08 2014 sander85 <sander85> 0.40.0.20-1.mga5
+ Revision: 585979
- update to 0.04000002

* Mon Oct 21 2013 umeabot <umeabot> 0.40.0.10-2.mga4
+ Revision: 537575
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.40.0.10-1.mga4
+ Revision: 487293
- update to 0.04000001

* Fri Sep 06 2013 sander85 <sander85> 0.40.0.0-1.mga4
+ Revision: 475510
- update to 0.04000000

* Fri Jun 07 2013 jquelin <jquelin> 0.20.1.0-1.mga4
+ Revision: 439083
- update to 0.02000100

* Sun Jan 13 2013 umeabot <umeabot> 0.10.236.10-2.mga3
+ Revision: 366042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.10.236.10-1.mga2
+ Revision: 212759
- update to 0.01023601

* Fri Apr 08 2011 jquelin <jquelin> 0.10.236.0-1.mga1
+ Revision: 82209
- update to 0.01023600

* Fri Jan 21 2011 jquelin <jquelin> 0.10.0.30-1.mga1
+ Revision: 28522
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Bootstrap-lib

